do
   local MyUnitIdTable = {
      'hae201',
      'has20202',
      'hes20202',
      'hrs20202',
      'hrs30302',
      'hels2',
      'hal2',
      'hel302',
   }
   local oldFileNameFn = GetUnitIconFileNames
   
   local function IsMyUnit(blueprint)
      for i, v in MyUnitIdTable do
         if v == blueprint.Display.IconName then
            return true
         end
      end
      return false
   end
   
   function GetUnitIconFileNames(blueprint)
      if IsMyUnit(blueprint) then
          local iconName = "/mods/hendymod 2/icons/units/icon/" .. blueprint.Display.IconName .. "_icon.dds"
          local upIconName = "/mods/hendymod 2/icons/units/build_btn_up/" .. blueprint.Display.IconName .. "_build_btn_up.dds"
          local downIconName = "/mods/hendymod 2/icons/units/build_btn_down/" .. blueprint.Display.IconName .. "_build_btn_down.dds"
          local overIconName = "/mods/hendymod 2/icons/units/build_btn_over/" .. blueprint.Display.IconName .. "_build_btn_over.dds"
         
          if DiskGetFileInfo(iconName) == false then
            WARN('Blueprint icon for unit '.. blueprint.Display.IconName ..' could not be found, check your file path and icon names!')
              iconName = '/textures/ui/common/icons/units/default_icon.dds'
          end
         
          if DiskGetFileInfo(upIconName) == false then
              upIconName = iconName
          end

          if DiskGetFileInfo(downIconName) == false then
              downIconName = iconName
          end

          if DiskGetFileInfo(overIconName) == false then
              overIconName = iconName
          end
         
          return iconName, upIconName, downIconName, overIconName
      else
         return oldFileNameFn(blueprint)
      end
   end
end